<?php
	session_start();
	$ruta="../../../../";
	include_once($ruta."class/credito.php");
	$credito=new credito;
	include_once($ruta."class/grupocredito.php");
	$grupocredito=new grupocredito;
	include_once($ruta."class/creditodetalle.php");
	$creditodetalle=new creditodetalle;
	include_once($ruta."class/creditomulta.php");
	$creditomulta=new creditomulta;

	include_once($ruta."class/creditointerno.php");
	$creditointerno=new creditointerno;
	include_once($ruta."class/creditointernomov.php");
	$creditointernomov=new creditointernomov;

	$fecha=date("Y-m-d");
	extract($_POST);
	$dcred=$creditointerno->muestra($idcredInterno);
	$saldoAnterior=$dcred['saldo'];
	$saldo=$saldoAnterior-$idmontoCI;
	$valcreditoP=array(
		"saldoCI"=>"'$saldo'"
 	);
	$credito->actualizar($valcreditoP,$idcredito);
	$vaahorro=array(
		"idcredito"=>"'$idcredInterno'",
		"codoperacion"=>"'1402'",
		"fecha"=>"'$fecha'",
		"monto"=>"'$idmontoCI'",
		"saldoant"=>"'$saldoAnterior'",
		"saldo"=>"'$saldo'",
		"glosa"=>"'PAGO CUOTA CREDITO INTERNO'"
	);	
	if($creditointernomov->insertar($vaahorro))
	{
		$valcredito=array(
			"fechaultpago"=>"'$fecha'",
			"saldo"=>"'$saldo'"
	 	);
		$creditointerno->actualizar($valcredito,$idcredInterno);
		//genera movimiento de Otorgacion
		  	?>
				<script type="text/javascript">
				swal({
					title: "Éxito",
					text: "Cuota Registrada correctamente",
					type: "success",
					confirmButtonColor: "#28e29e",
					confirmButtonText: "OK",
					closeOnConfirm: false
		          }, function () {
					location.reload();
		          });
				</script>
			<?php
	}else{
		?>
			<script type="text/javascript">
				swal("ERROR","No se registro","error");
			</script>
	   	<?php
	}
	
?>